
/*
 * PROGRAM:
 *   Command-line pastebin
 *
 * AUTHOR:
 *   Théophile BASTIAN (a.k.a. Tobast)
 *
 * CONTACT & WEBSITE:
 *   http://tobast.fr/ (contact feature included)
 *   error-report@tobast.fr (error reporting only)
 *
 * SHORT DESCRIPTION:
 *   See first license line.
 *
 * LICENSE:
 *   "Command-line pastebin" is a software designed to submit a "paste" on http://pastebin.com/ using a command-line tool
 *   Copyright (C) 2011  Théophile BASTIAN
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see http://www.gnu.org/licenses/gpl.txt.
*/

#ifndef DEF_DATA
#define DEF_DATA

#include "data_devcode.h" // TODO before compile, check this file

// TODO REDEFINE YOUR OS HERE!
#define UNIX
// #define WINDOWS

#define DEFAULT_PRIVATE "0"
#define DEFAULT_NAME ""
#define DEFAULT_EXPIRE "N"
#define DEFAULT_FORMAT ""
#define DEFAULT_USERKEY ""
#define DEFAULT_OPTION "paste"

#define PASTEBIN_SUBMIT_URL "http://pastebin.com/api/api_post.php"

#ifdef UNIX
	#define DEFAULT_CONFIGPATH "~/.pastebinclrc"
#endif
#ifdef WINDOWS
	#define DEFAULT_CONFIGPATH "%APPLICATION_DATA%/.pastebinclrc"
#endif
#ifndef DEFAULT_CONFIGPATH
	#define DEFAULT_CONFIGPATH ""
#endif

enum FlagParameter {
	P_NAME=1, P_SYNTAX=2, P_PRIVATE=4, P_EXPIRE=8, P_GUEST=16, P_HELP=32, P_VERSION=64, P_LICENCE=128
};

#define SOFT_VERSION "0.1 INDEV"

#define MANPAGE_SHORT "TODO write it." // TODO

#endif//DEF_DATA

